Loading...
Searching...
No Matches
casacore::TaQLUpdExprNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a column update expression. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLUpdExprNodeRep (const String &name, const String &nameMask, const TaQLNode &expr)
| TaQLUpdExprNodeRep (const String &name, const String &nameMask, const TaQLMultiNode &indices, const TaQLNode &expr)
| TaQLUpdExprNodeRep (const String &name, const String &nameMask, const TaQLMultiNode &indices1, const TaQLMultiNode &indices2, const TaQLNode &expr)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

String | itsName
String | itsNameMask
TaQLMultiNode | itsIndices1
TaQLMultiNode | itsIndices2
TaQLNode | itsExpr

## Detailed Description

Raw TaQL parse tree node defining a column update expression.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the values for an update expression. It defines the column name and the expression for the new value. Optionally an index can be defined in case the column contains array values for which only some values need to be updated.

Definition at line 702 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLUpdExprNodeRep() [1/3]

casacore::TaQLUpdExprNodeRep::TaQLUpdExprNodeRep | ( | const String & | name,
|  | const String & | nameMask,
|  | const TaQLNode & | expr )

References casacore::name().

## TaQLUpdExprNodeRep() [2/3]

casacore::TaQLUpdExprNodeRep::TaQLUpdExprNodeRep | ( | const String & | name,
|  | const String & | nameMask,
|  | const TaQLMultiNode & | indices,
|  | const TaQLNode & | expr )

References casacore::name().

## TaQLUpdExprNodeRep() [3/3]

casacore::TaQLUpdExprNodeRep::TaQLUpdExprNodeRep | ( | const String & | name,
|  | const String & | nameMask,
|  | const TaQLMultiNode & | indices1,
|  | const TaQLMultiNode & | indices2,
|  | const TaQLNode & | expr )

References casacore::name().

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLUpdExprNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLUpdExprNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLUpdExprNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLUpdExprNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsExpr

TaQLNode casacore::TaQLUpdExprNodeRep::itsExpr

Definition at line 723 of file TaQLNodeDer.h.

## itsIndices1

TaQLMultiNode casacore::TaQLUpdExprNodeRep::itsIndices1

Definition at line 721 of file TaQLNodeDer.h.

## itsIndices2

TaQLMultiNode casacore::TaQLUpdExprNodeRep::itsIndices2

Definition at line 722 of file TaQLNodeDer.h.

## itsName

String casacore::TaQLUpdExprNodeRep::itsName

Definition at line 719 of file TaQLNodeDer.h.

## itsNameMask

String casacore::TaQLUpdExprNodeRep::itsNameMask

Definition at line 720 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h